# Uses of Class
org.apache.zookeeper.ZooKeeper

Packages that use ZooKeeper
Package
Description
org.apache.zookeeper
org.apache.zookeeper.admin
org.apache.zookeeper.cli
org.apache.zookeeper.inspector.manager
org.apache.zookeeper.retry
org.apache.zookeeper.test.system

## Uses of ZooKeeper in org.apache.zookeeper

Fields in org.apache.zookeeper declared as ZooKeeper
Modifier and Type
Field
Description
`protected ZooKeeper`
ZooKeeperMain.`zk`
Methods in org.apache.zookeeper with parameters of type ZooKeeper
Modifier and Type
Method
Description
`static void`
ZKUtil.`deleteRecursive(ZooKeeper zk, String pathRoot)`
Same as `ZKUtil.deleteRecursive(org.apache.zookeeper.ZooKeeper, java.lang.String, int)` kept here for compatibility with 3.5 clients.
`static boolean`
ZKUtil.`deleteRecursive(ZooKeeper zk, String pathRoot, int batchSize)`
Recursively delete the node with the given path.
`static void`
ZKUtil.`deleteRecursive(ZooKeeper zk, String pathRoot, AsyncCallback.VoidCallback cb, Object ctx)`
Recursively delete the node with the given path.
`static List<String>`
ZKUtil.`listSubTreeBFS(ZooKeeper zk, String pathRoot)`
BFS Traversal of the system under pathRoot, with the entries in the list, in the same order as that of the traversal.
`static void`
ZKUtil.`visitSubTreeDFS(ZooKeeper zk, String path, boolean watch, AsyncCallback.StringCallback cb)`
Visits the subtree with root as given path and calls the passed callback with each znode found during the search.
Constructors in org.apache.zookeeper with parameters of type ZooKeeper
Modifier
Constructor
Description
`protected`
`Transaction(ZooKeeper zk)`
``
`ZooKeeperMain(ZooKeeper zk)`

## Uses of ZooKeeper in org.apache.zookeeper.admin

Subclasses of ZooKeeper in org.apache.zookeeper.admin
Modifier and Type
Class
Description
`class`
`ZooKeeperAdmin`
This is the main class for ZooKeeperAdmin client library.

## Uses of ZooKeeper in org.apache.zookeeper.cli

Fields in org.apache.zookeeper.cli declared as ZooKeeper
Modifier and Type
Field
Description
`protected ZooKeeper`
CliCommand.`zk`
Methods in org.apache.zookeeper.cli with parameters of type ZooKeeper
Modifier and Type
Method
Description
`static boolean`
SetQuotaCommand.`createQuota(ZooKeeper zk, String path, StatsTrack quota)`
this method creates a quota node for the path
`static boolean`
DelQuotaCommand.`delQuota(ZooKeeper zk, String path, StatsTrack quota)`
this method deletes quota for a node.
`static List<StatsTrack>`
ListQuotaCommand.`listQuota(ZooKeeper zk, String path)`
`void`
CliCommand.`setZk(ZooKeeper zk)`
set the zookeeper instance

## Uses of ZooKeeper in org.apache.zookeeper.inspector.manager

Constructors in org.apache.zookeeper.inspector.manager with parameters of type ZooKeeper
Modifier
Constructor
Description
``
`NodesCache(ZooKeeper zooKeeper)`
``
`NodeWatcher(String nodePath, NodeListener nodeListener, ZooKeeper zookeeper)`

## Uses of ZooKeeper in org.apache.zookeeper.retry

Subclasses of ZooKeeper in org.apache.zookeeper.retry
Modifier and Type
Class
Description
`class`
`ZooKeeperRetry`
A Class which extends `ZooKeeper` and will automatically retry calls to zookeeper if a `KeeperException.ConnectionLossException` occurs.

## Uses of ZooKeeper in org.apache.zookeeper.test.system

Constructors in org.apache.zookeeper.test.system with parameters of type ZooKeeper
Modifier
Constructor
Description
``
`InstanceManager(ZooKeeper zk, String prefix)`